/**
 *  @par    getURL
 *  @param    url       The URL to the transition
 *  @return   path      Transition path
 *
 *  @par    Construct the path to the transition.
 *
 */
function getURL(){
	var currentURL;			/* current path */
	var wbmstartpos;		/* "wbm" starting position */
	var wbmafter;			/* "wbm" where after */
	var modelstartpos;		/* model name starting position */
	var wbmslashafter;		/* "wbm/" where after */
	var modelname;			/* model name */
	var langstartpos;		/* language starting position */
	var modelslashafter;	/* "model/" where after */
	var slashpos;			/* modelslashafter in a position to come out first slash */
	var langname;			/* language name */
	var transitionURL;		/* Transition URL */

	/* Constant Value */
	var hostname	= "http://solutions.brother.com/";
	var cginame 	= "cgi-bin/solutions.cgi";
	var queryquestion = "?";
	var queryand	= "&";
	var querymodel	= "MDL=";
	var querylang	= "LNG=";
	var querysrc	= "SRC=DOC";

	/* Determine the current URL */
	currentURL = document.URL;
	/* "currentURL" in the "wbm" finding the position of */
	wbmstartpos = currentURL.indexOf("wbm");
	/* "wbm" after the cut */
	wbmafter = currentURL.substring(wbmstartpos);

	/* wbmafter in a position to come out first slash */
	modelstartpos = wbmafter.indexOf("/");
	/* "wbm/" where after the cut */
	wbmslashafter = wbmafter.substring(modelstartpos+1);

	/* wbmslashafter in a position to come out first slash */
	langstartpos = wbmslashafter.indexOf("/");
	/* "wbmslashafter" to get the model name */
	modelname = wbmslashafter.substring(0, langstartpos);

	/* Firm or CD? */
	if ((modelname == "contents") || (modelname == "")){
		transitionURL = hostname;
	}
	else {
		/* "model/" after the cut */
		modelslashafter = wbmslashafter.substring(langstartpos+1);

		/* modelslashafter in a position to come out first slash */
		slashpos = modelslashafter.indexOf("/");
		/* "modelslashafter" to get the model name */
		langname = modelslashafter.substring(0, slashpos);

		/* local lang check */
		if ( langname == "fr-ca" ) {
			langname = "fr"
		}

		transitionURL = hostname;
		transitionURL = transitionURL.concat(cginame);
		transitionURL = transitionURL.concat(queryquestion);
		transitionURL = transitionURL.concat(querymodel);
		transitionURL = transitionURL.concat(modelname);
		transitionURL = transitionURL.concat(queryand);
		transitionURL = transitionURL.concat(querylang);
		transitionURL = transitionURL.concat(langname);
		transitionURL = transitionURL.concat(queryand);
		transitionURL = transitionURL.concat(querysrc);
	}

	return transitionURL;
}

/**
 *  @par    getURL2
 *  @param    url       The URL to the transition
 *  @return   path      Transition path
 *
 *  @par    Construct the path to the transition.
 *
 */
function getURL2(){
var currentURL;
   var transitionURL;
   var hostname= "http://www.brother.com/product/brotheronline/";
   transitionURL = hostname;
   return transitionURL;

}